Bug 1098704 - editing resources in UI returns view to wrong page and search
Summary: editing resources in UI returns view to wrong page and search
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: jmagen@redhat.com
QA Contact: jcallaha
URL: http://projects.theforeman.org/issues...
Whiteboard:
: 1189575 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-17 13:19 UTC by Tom McKay
Modified: 2017-02-23 21:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:08:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 5773 None None None 2016-04-22 15:49:58 UTC
Red Hat Bugzilla 1112247 None None None Never

Internal Links: 1112247

Description Tom McKay 2014-05-17 13:19:33 UTC
While editing resources in foreman UI (Filters in this case) I was on page 4. After deleting one of the filters, returned the view to page 1. This makes editing anything beyond trivial data sets very difficult.

Comment 1 Tom McKay 2014-05-17 13:19:35 UTC
Created from redmine issue http://projects.theforeman.org/issues/5773

Comment 4 jmagen@redhat.com 2014-06-19 08:22:22 UTC
https://github.com/theforeman/foreman/pull/1521

Comment 5 jcallaha 2014-12-05 15:46:02 UTC
*** This bug is verified in upstream.  This fix should eventually land in future downstream builds ***

Version Tested:
RHEL 65/66/7

katello-server-ca-1.0-1.noarch
rubygem-hammer_cli_katello-0.0.6-1.201412050102git3acc58e.git.0.c645b3c.el7.noarch
katello-certs-tools-2.0.1-1.el7.noarch
pulp-katello-0.3-3.el7.noarch
katello-repos-2.1.1-1.el7.noarch
ruby193-rubygem-katello-2.1.0-1.201412050047git1f935b9.el7.noarch
katello-default-ca-1.0-1.noarch
katello-2.1.0-1.201411061509gitb0b8f43.el7.noarch
katello-installer-2.1.0-1.201412031757git1434d70.el7.noarch

Comment 6 Bryan Kearney 2015-02-19 14:00:42 UTC
*** Bug 1189575 has been marked as a duplicate of this bug. ***

Comment 7 Bryan Kearney 2015-08-11 13:35:55 UTC
This bug is slated to be released with Satellite 6.1.

Comment 8 errata-xmlrpc 2015-08-12 05:08:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.